---
title: "Mapeo/conversión de valores"
---

# Función map()

Esta función regresa un número `float` que corresponde a convertir un número dentro de un rango original, a un rango distinto:

```java
float numConvertido = map( numOriginal, minOriginal, maxOriginal, minNuevo, maxNuevo);
```

Donde:

* `numOriginal`: es el número o variable a convertir
* `minOriginal`: es el valor mínimo que esa variable puede tener
* `maxOriginal`: es el valor máximo que esa variable puede tener
* `minNuevo`: es el valor mínimo del nuevo rango
* `maxNuevo`: es el valor máximo del nuevo rango

# Notas que enlazan aquí

* [[Coordenadas polares]](/notas/coordenadas-polares.html)
* [[Animación en función del tiempo (*frameCount*)]](/notas/animacion-frameCount.html)
* [[Visualización de contadores]](/notas/visualizacion-contadores.html)
